package com.qmth.themis.business.enums;

/**
 * @Description: 考试记录 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/25
 */
public enum ExamRecordStatusEnum {

    FIRST_PREPARE("首次候考", "进入候考"),

    ANSWERING("正在答题", "进入考试"),

    BREAK_OFF("已中断", "考试中断"),

    RESUME_PREPARE("断点恢复候考", "断点恢复候考"),

    FINISHED("已结束考试", "交卷"),

    PERSISTED("数据已保存", "数据已保存"),

    JUNK("作废", "侯考状态后考试结束");

    private String code;

    private String title;

    private ExamRecordStatusEnum(String code, String title) {
        this.code = code;
        this.title = title;
    }

    public String getCode() {
        return code;
    }

    public String getTitle() {
        return title;
    }
}
